# glowers-radio
This repo contains backing information for Glowers Radio.

## Format
The `songs.json` format **is only intended for use for Glowers Radio**, and is effectively a living standard as a result. **Live data may change drastically without warning**

```yaml
required: [ id, sources ]
properties:
  id:
    type: string
  tags:
    type: array
    items: [ { type: string } ]
  metadata:
    required: [ title, artist ]
    properties:
      title: { type: string }
      artist: { type: string }
  sources:
    type: array
    items:
    - required: [ type, url ]
      properties:
        type: { type: string, format: mimetype }
        url: { type: string, format: uri }
        thumbnail_type: { type: string }
        thumbnail_url: { format: uri }
```
